﻿
using System;
using Wisej.Web;

namespace RealTimeExample
{
    public partial class Window1 : Form
    {
        private bool created = false;
        private static Wisej.Web.Timer timer = null;
        private static int counter = 0;

        public Window1()
        {
            InitializeComponent();

            if (timer == null)
            {
                timer = new Timer();
                timer.Interval = 1000;
                timer.Start();
                timer.Tick += timer_TickUpdate;
                created = true;
            }
            timer.Tick += timer_Tick;
            // Application.StartPolling(10000);
            this.Text = "Move the window around if it doesn't get updated automatically";

        }

        private void timer_TickUpdate(object sender, EventArgs e)
        {
            counter++;
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            this.Text = "IsWebSocket: " + Application.IsWebSocket.ToString() + " - Counter: " + counter.ToString();
            this.label1.Text = "IsWebSocket: " + Application.IsWebSocket.ToString() + " - Counter: " + counter.ToString();
            // Application.Update(this); // Why do I have to specify this for all instances except for the first one??
        }
    }

}
